import warnings

from django.test import TestCase

from .factories import PhotoFactory, AlbumFactory


class MedialogueBaseTest(TestCase):

    def setUp(self):
        try:
            # Squash lots of ResourceWarning generated by the Pillow library during unit tests.
            warnings.simplefilter("ignore", ResourceWarning)
        except NameError:
            # Doesn't exist in Python 2.7.
            pass
        self.album = AlbumFactory()
        self.pl = PhotoFactory(album=self.album, title='Landscape', slug='landscape')

    def tearDown(self):
        # Need to manually remove the files created during testing.
        self.pl.src.delete()
